Robot Simulator of the Robotics Group for Self-Organization of Control: OneAxisServo Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OneAxisServo Class Reference

general servo motor to achieve position control More...

`#include <oneaxisservo.h>`

Inherited by OneAxisServoCentered, and OneAxisServoVel.

Inheritance diagram for OneAxisServo:

[legend]
Collaboration diagram for OneAxisServo:

[legend]
List of all members.

## Public Member Functions
| OneAxisServo (OneAxisJoint *joint, double _min, double _max, double power, double damp=0.2, double integration=2, double maxVel=10.0, double jointLimit=1.3, bool minmaxCheck=true)
| min and max values are understood as travel bounds.
virtual | ~OneAxisServo ()
virtual void | set (double pos)
| sets the set point of the servo.
virtual double | get ()
| returns the position of the slider in ranges [-1, 1] (scaled by min, max)
virtual void | setMinMax (double _min, double _max)
virtual void | setPower (double power)
| adjusts the power of the servo
virtual double | getPower ()
| returns the power of the servo
virtual double & | damping ()
| returns the damping of the servo
virtual double & | offsetCanceling ()
| returns the damping of the servo
virtual void | setMaxVel (double maxVel)
| adjusts maximal speed of servo
virtual double | getMaxVel ()
| adjusts maximal speed of servo
## Protected Attributes
OneAxisJoint * | joint
double | min
double | max
PID | pid
double | maxVel
double | jointLimit
| joint limit with respect to servo limit

## Detailed Description

general servo motor to achieve position control

## Constructor & Destructor Documentation

OneAxisServo | ( | OneAxisJoint * | joint,
|  | double | _min,
|  | double | _max,
|  | double | power,
|  | double | damp = `0.2`,
|  | double | integration = `2`,
|  | double | maxVel = `10.0`,
|  | double | jointLimit = `1.3`,
|  | bool | minmaxCheck = `true` |
| ) |  |  | `[inline]`

min and max values are understood as travel bounds.

Min should be less than 0.

virtual ~OneAxisServo | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual double& damping | ( |  | ) | `[inline, virtual]`

returns the damping of the servo

virtual double get | ( |  | ) | `[inline, virtual]`

returns the position of the slider in ranges [-1, 1] (scaled by min, max)

Reimplemented in OneAxisServoCentered, and OneAxisServoVel.

virtual double getMaxVel | ( |  | ) | `[inline, virtual]`

adjusts maximal speed of servo

Reimplemented in OneAxisServoVel.

virtual double getPower | ( |  | ) | `[inline, virtual]`

returns the power of the servo

Reimplemented in OneAxisServoVel.

virtual double& offsetCanceling | ( |  | ) | `[inline, virtual]`

returns the damping of the servo

Reimplemented in OneAxisServoVel.

virtual void set | ( | double | pos | ) | `[inline, virtual]`

sets the set point of the servo.

Position must be between -1 and 1. It is scaled to fit into min, max

Reimplemented in OneAxisServoCentered, and OneAxisServoVel.

virtual void setMaxVel | ( | double | maxVel | ) | `[inline, virtual]`

adjusts maximal speed of servo

Reimplemented in OneAxisServoVel.

virtual void setMinMax | ( | double | _min,
|  | double | _max |
| ) |  |  | `[inline, virtual]`

virtual void setPower | ( | double | power | ) | `[inline, virtual]`

adjusts the power of the servo

Reimplemented in OneAxisServoVel.

## Member Data Documentation

OneAxisJoint* joint`[protected]`

double jointLimit`[protected]`

joint limit with respect to servo limit

double max`[protected]`

double maxVel`[protected]`

double min`[protected]`

PID pid`[protected]`

The documentation for this class was generated from the following file:

- oneaxisservo.h